Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.util.instrum
Class MfExternalResourceMetrics

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          com.sun.mfwk.util.instrum.MfStatus
              com.sun.mfwk.util.instrum.MfMetric
                  com.sun.mfwk.util.instrum.MfExternalResourceMetrics

All Implemented Interfaces:
  java.util.EventListener, javax.management.MBeanRegistration, MfExternalResourceMetricsMBean, MfMetricMBean, MfStatusMBean, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, javax.management.NotificationListener

public class MfExternalResourceMetrics
extends MfMetric
implements MfExternalResourceMetricsMBean

MfExternalResourceMetrics contains the metrics related to an external resource.

Field Summary

Fields inherited from interface com.sun.mfwk.util.instrum.MfStatusMBean
`AVAIL_CONGESTED, AVAIL_DEGRADED, AVAIL_NORMAL, OPS_FAILED, OPS_RUNNING, OPS_STARTING, OPS_STOPPED, OPS_STOPPING`

Constructor Summary
`MfExternalResourceMetrics()`

Method Summary
`long` | `getAccumulatedOutboundAssociations()` Get the total number of associations since the initialization.
`long` | `getAccumulatedQueriesTime()` Get the accumulated query time.
`long` | `getAccumulatedSqQueriesTime()` Get the accumulated squared query time.
`long` | `getFailedOutboundAssociations()` Get the total number of failed associations since the initialization.
`long` | `getFailedQueries()` Get the number of failed queries.
`long` | `getLastOutboundActivity()` Get the value of sysUpTime at the time this application last had an outbound association..
`long` | `getMaxQueriesTime()` Get the maximum query time.
`long` | `getMinQueriesTime()` Get the minimum query time.
`long` | `getNbQueries()` Get the number of queries.
`long` | `getOutboundAssociations()` Get the number of current associations.
`java.lang.String` | `getProviderUri()` Get the uri of the external resource.
`void` | `resetMetrics()` Reset all the metrics.
`void` | `setAccumulatedOutboundAssociations(long p)` Set the total number of associations since the initialization.
`void` | `setAccumulatedQueriesTime(long p)` Set the accumulated query time.
`void` | `setAccumulatedSqQueriesTime(long p)` Set the accumulated squared query time.
`void` | `setFailedOutboundAssociations(long p)` Set the total number of failed associations since the initialization.
`void` | `setFailedQueries(long p)` Set the number of failed queries.
`void` | `setLastOutboundActivity(long p)` Set the value of sysUpTime at the time this application last had an outbound association..
`void` | `setMaxQueriesTime(long p)` Set the maximum query time.
`void` | `setMinQueriesTime(long p)` Set the minimum query time.
`void` | `setNbQueries(long p)` Set the number of queries.
`void` | `setOutboundAssociations(long p)` Set the number of current associations.
`void` | `setProviderUri(java.lang.String p)` Set the uri of the external resource.

Methods inherited from class com.sun.mfwk.util.instrum.MfMetric
`disableMonitoring, enableMonitoring, handleNotification, isMonitoringEnabled, postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from class com.sun.mfwk.util.instrum.MfStatus
`getAvailabilityState, getAvailStateLastChange, getDegradedTime, getOperationalState, getOpsStateLastChange, getRunningTime, setAvailabilityState, setAvailStateLastChange, setDegradedTime, setOperationalState, setOpsStateLastChange, setRunningTime`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.mfwk.util.instrum.MfMetricMBean
`disableMonitoring, enableMonitoring, isMonitoringEnabled`

Methods inherited from interface com.sun.mfwk.util.instrum.MfStatusMBean
`getAvailabilityState, getAvailStateLastChange, getDegradedTime, getOperationalState, getOpsStateLastChange, getRunningTime`

Constructor Detail

### MfExternalResourceMetrics

    public MfExternalResourceMetrics()

Method Detail

### getProviderUri

    public java.lang.String getProviderUri()

  Get the uri of the external resource.

  Specified by:
    `getProviderUri` in interface `MfExternalResourceMetricsMBean`

### getAccumulatedOutboundAssociations

    public long getAccumulatedOutboundAssociations()

  Get the total number of associations since the initialization.

  Specified by:
    `getAccumulatedOutboundAssociations` in interface `MfExternalResourceMetricsMBean`

### getFailedOutboundAssociations

    public long getFailedOutboundAssociations()

  Get the total number of failed associations since the initialization.

  Specified by:
    `getFailedOutboundAssociations` in interface `MfExternalResourceMetricsMBean`

### getFailedQueries

    public long getFailedQueries()

  Get the number of failed queries.

  Specified by:
    `getFailedQueries` in interface `MfExternalResourceMetricsMBean`

### getNbQueries

    public long getNbQueries()

  Get the number of queries.

  Specified by:
    `getNbQueries` in interface `MfExternalResourceMetricsMBean`

### getLastOutboundActivity

    public long getLastOutboundActivity()

  Get the value of sysUpTime at the time this application last had an outbound association..

  Specified by:
    `getLastOutboundActivity` in interface `MfExternalResourceMetricsMBean`

### getOutboundAssociations

    public long getOutboundAssociations()

  Get the number of current associations.

  Specified by:
    `getOutboundAssociations` in interface `MfExternalResourceMetricsMBean`

### getMinQueriesTime

    public long getMinQueriesTime()

  Get the minimum query time.

  Specified by:
    `getMinQueriesTime` in interface `MfExternalResourceMetricsMBean`

### getMaxQueriesTime

    public long getMaxQueriesTime()

  Get the maximum query time.

  Specified by:
    `getMaxQueriesTime` in interface `MfExternalResourceMetricsMBean`

### getAccumulatedQueriesTime

    public long getAccumulatedQueriesTime()

  Get the accumulated query time.

  Specified by:
    `getAccumulatedQueriesTime` in interface `MfExternalResourceMetricsMBean`

### getAccumulatedSqQueriesTime

    public long getAccumulatedSqQueriesTime()

  Get the accumulated squared query time.

  Specified by:
    `getAccumulatedSqQueriesTime` in interface `MfExternalResourceMetricsMBean`

### resetMetrics

    public void resetMetrics()

  Reset all the metrics.

  Specified by:
    `resetMetrics` in interface `MfMetricMBean`
  Specified by:
    `resetMetrics` in class `MfMetric`

### setProviderUri

    public void setProviderUri(java.lang.String p)

  Set the uri of the external resource.

### setAccumulatedOutboundAssociations

    public void setAccumulatedOutboundAssociations(long p)

  Set the total number of associations since the initialization.

### setFailedOutboundAssociations

    public void setFailedOutboundAssociations(long p)

  Set the total number of failed associations since the initialization.

### setFailedQueries

    public void setFailedQueries(long p)

  Set the number of failed queries.

### setNbQueries

    public void setNbQueries(long p)

  Set the number of queries.

### setLastOutboundActivity

    public void setLastOutboundActivity(long p)

  Set the value of sysUpTime at the time this application last had an outbound association..

### setOutboundAssociations

    public void setOutboundAssociations(long p)

  Set the number of current associations.

### setMinQueriesTime

    public void setMinQueriesTime(long p)

  Set the minimum query time.

### setMaxQueriesTime

    public void setMaxQueriesTime(long p)

  Set the maximum query time.

### setAccumulatedQueriesTime

    public void setAccumulatedQueriesTime(long p)

  Set the accumulated query time.

### setAccumulatedSqQueriesTime

    public void setAccumulatedSqQueriesTime(long p)

  Set the accumulated squared query time.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD